{% extends 'index.html' %}

{% block content1 %}

<div class="login-body">
    <div class="login-wrapp">
        <div class="login-nd-wrapp">
            <h3>Login</h3>
            <div class="login-error">
                {% if form.errors %}
                <p style="color:red;">Passwords don't match. Try again!</p>
                {% endif %}
            </div>
            <form action="{% url 'login' %}" method="post" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="form-group">
                    {{ form.username.label_tag }}
                    {{ form.username }}
                </div>
                <div class="form-group">
                    {{ form.password.label_tag }}
                    {{ form.password }}
                </div>
                <div class="bottom-form">
                    <span>
                        <button class="btn btn-primary" type="submit">Login</button>
                    </span>
                    <span>
                        <a href="{% url 'topics' %}">
                            <button class="btn btn-secondary" type="button">Back</button>
                        </a>
                    </span>
                </div>
            </form>
            <h2 class="bottom-line">
                <span class="bottom-line-wrapper">
                    Or
                </span>
            </h2>
            <div class="bottom-login">
                <div class="bottom-register-login">
                    <a href="{% url 'register' %}">Register <i class="fa fa-user"></i></a>
                </div>
                <div class="bottom-reset-login">
                    <a href="{% url 'password_reset' %}">Forgot your password?</a>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    let username = document.getElementById("id_username");
    username.classList.add("form-control");
    let pass = document.getElementById("id_password");
    pass.classList.add("form-control");
    let arr = [username, pass];
    for(i=0; i<arr.length; i++){
        arr[i].style.marginBottom = "25px";
    }
</script>

{% endblock %}